#include "xmaterialvertexstreamrouting.h"

XMaterialVertexStreamRouting::XMaterialVertexStreamRouting()
    : XAsset()
    , mData(16)
    , mDecl(15)
{
    SetName("Material Vertex Stream Routing");
}

void XMaterialVertexStreamRouting::Clear()
{
    
}

void XMaterialVertexStreamRouting::ParseData(XDataStream *aStream)
{
    if (IsDebug())
    {
        qDebug() << QString("[%1] Parsing data for %2").arg(aStream->device()->pos(), 10, 10, QChar('0')).arg(GetName());
    }
    for (int i = 0; i < 15; i++)
    {
        mDecl[i].ParsePtr(aStream, false);
    }
}
